> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan 3.0 Prime

> Wan 3.0 Prime API 可根据文本、帧图片或多模态参考生成 2–30 秒、480p、720p 或 1080p 的视频，生成的音频可控。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

Wan 3.0 Prime 包含三个模型，分别用于文本、首尾帧和多模态参考视频生成。

## 模型

* `wan3.0-prime-text-to-video` — 根据必填的文本提示词生成视频
* `wan3.0-prime-image-to-video` — 根据一到两张首尾帧图片生成视频
* `wan3.0-prime-reference-to-video` — 根据多模态参考生成视频

## 功能

* **时长**：2–30 秒
* **分辨率**：480p、720p 或 1080p
* **首尾帧**：图片模型可使用一到两个 `image_urls`
* **生成音频**：通过 `audio` 控制输出音轨
* **多模态参考**：参考模型可使用图片、视频、音频片段、文档或公开网页
* **参考标签**：在提示词中以 `Image1`、`Video1` 或 `Audio1` 引用输入


## OpenAPI

````yaml zh/api-manual/video-series/wan-3-0-video-prime.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Wan 3.0 Prime Video API
  description: Wan 3.0 Prime 文本、图像和多模态参考视频生成。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Wan 3.0 Prime Video
      summary: 提交 Wan 3.0 Prime Video 任务
      description: 使用 Wan 3.0 Prime 模型生成视频。
      operationId: submitWan30PrimeVideoTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              prime-text-to-video:
                summary: Prime 文生视频模型
                value:
                  model: wan3.0-prime-text-to-video
                  input:
                    prompt: >-
                      A fast-paced cinematic fashion film on a rain-soaked city
                      street.
                    resolution: 720p
                    aspect_ratio: '9:16'
                    duration: 10
                    audio: true
              prime-image-to-video:
                summary: Prime 图生视频模型
                value:
                  model: wan3.0-prime-image-to-video
                  input:
                    image_urls:
                      - https://example.com/product.png
                    prompt: >-
                      A polished studio product reveal with smooth rotation and
                      soft highlights.
                    resolution: 1080p
                    duration: 5
                    audio: false
              prime-reference-to-video:
                summary: Prime 参考生视频模型
                value:
                  model: wan3.0-prime-reference-to-video
                  input:
                    prompt: >-
                      Create a concise product introduction based on this
                      presentation.
                    reference_file_urls:
                      - https://example.com/product-brief.pdf
                    resolution: 480p
                    aspect_ratio: '16:9'
                    duration: 10
                    audio: true
                    enable_safety_checker: true
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          enum:
            - wan3.0-prime-text-to-video
            - wan3.0-prime-image-to-video
            - wan3.0-prime-reference-to-video
          description: Wan 3.0 Prime 对外模型标识符。
        callback_url:
          type: string
          format: uri
          description: 可选的 Webhook 回调 URL。
        input:
          type: object
          additionalProperties: false
          properties:
            prompt:
              type: string
              maxLength: 20000
              description: 文生视频和参考生视频必填；图生视频可选。
            image_urls:
              type: array
              minItems: 1
              maxItems: 2
              items:
                type: string
                format: uri
              description: 图生视频的首帧和可选尾帧。
            reference_image_urls:
              type: array
              minItems: 1
              maxItems: 10
              items:
                type: string
                format: uri
              description: 参考生视频的参考图像。
            reference_video_urls:
              type: array
              minItems: 1
              maxItems: 5
              items:
                type: string
                format: uri
              description: 参考生视频的参考视频。
            reference_audio_urls:
              type: array
              minItems: 1
              maxItems: 5
              items:
                type: string
                format: uri
              description: 参考生视频的参考音频片段。
            reference_file_urls:
              type: array
              minItems: 1
              maxItems: 1
              items:
                type: string
                format: uri
              description: 一个参考文档。不能与 reference_link_urls 同时使用。
            reference_link_urls:
              type: array
              minItems: 1
              maxItems: 1
              items:
                type: string
                format: uri
              description: 一个公开可访问的网页。不能与 reference_file_urls 同时使用。
            resolution:
              type: string
              enum:
                - 480p
                - 720p
                - 1080p
              default: 720p
            aspect_ratio:
              type: string
              enum:
                - adaptive
                - '16:9'
                - '4:3'
                - '1:1'
                - '3:4'
                - '9:16'
              default: adaptive
            duration:
              type: integer
              minimum: 2
              maximum: 30
              default: 5
              description: 生成视频的时长，单位为秒。
            audio:
              type: boolean
              default: true
              description: 是否生成输出音轨。
            seed:
              type: integer
              minimum: 0
              maximum: 2147483647
            enable_safety_checker:
              type: boolean
              default: true
              description: 是否启用内容安全检查。
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1787654321-abcd1234
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.